Debian Bug report logs - #599523
[update-manager-gnome] wants to downgrade packages without any notice

version graph

Package: update-manager-gnome; Maintainer for update-manager-gnome is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for update-manager-gnome is src:update-manager.

Reported by: Zoran Dzelajlija <jelly+bugs.debian.org@srk.fer.hr>

Date: Fri, 8 Oct 2010 12:12:02 UTC

Severity: serious

Tags: squeeze-ignore, wheezy-ignore

Found in versions update-manager/0.200.4-1, update-manager/0.200.5-1

Fixed in version 0.200.5-2.1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Fri, 08 Oct 2010 12:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zoran Dzelajlija <jelly+bugs.debian.org@srk.fer.hr>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 08 Oct 2010 12:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Zoran Dzelajlija <jelly+bugs.debian.org@srk.fer.hr>
To: submit@bugs.debian.org
Subject: [update-manager-gnome] wants to downgrade packages without any notice
Date: Fri, 8 Oct 2010 14:01:19 +0200
Package: update-manager-gnome
Version: 0.200.4-1
Severity: serious

--- Please enter the report below this line. ---
update-manager wants to downgrade a package I explicitely installed from
experimental without any special notice.  This downgrade would break 
functionality on my machine.  apt and aptitude don't try to do anything
similar, nor suggest it be done.

$ apt-cache policy libgl1-mesa-dri
libgl1-mesa-dri:
  Installed: 7.8.2-2
  Candidate: 7.7.1-4
  Package pin: 7.7.1-4
  Version table:
 *** 7.8.2-2 990
        200 http://debian.iskon.hr/debian/ experimental/main i386 Packages
        100 /var/lib/dpkg/status
     7.7.1-4 990
        700 http://debian.iskon.hr/debian/ testing/main i386 Packages
        300 http://debian.iskon.hr/debian/ unstable/main i386 Packages
     7.0.3-7 990
        400 http://debian.iskon.hr/debian/ stable/main i386 Packages

$ egrep -vh '^[[:blank:]]*//' /etc/apt/apt.conf /etc/apt/apt.conf.d/*
APT::Cache-Limit "33554432";

Acquire
{
  http 
  {
    Timeout "30";
    Pipeline-Depth "5";
    
    No-Cache "false";
    Max-Age "86400";     // 1 Day age on index files
    No-Store "true";    // Prevent the cache from storing archives    
  };
  ftp
  {
   Proxy::ftp.irb.hr "DIRECT";
    Timeout "30";
  };
};
APT
{
  NeverAutoRemove
  {
	"^firmware-linux.*";
	"^linux-firmware$";
	"^linux-image.*";
	"^kfreebsd-image.*";
	"^linux-restricted-modules.*";
	"^linux-ubuntu-modules-.*";
  };

  Never-MarkAuto-Sections
  {
	"metapackages";
	"restricted/metapackages";
	"universe/metapackages";
	"multiverse/metapackages";
	"oldlibs";
	"restricted/oldlibs";
	"universe/oldlibs";
	"multiverse/oldlibs";
  };
};
DPkg::Pre-Install-Pkgs {"/usr/sbin/apt-listbugs apt || exit 10";};
DPkg::Tools::Options::/usr/sbin/apt-listbugs "";
DPkg::Tools::Options::/usr/sbin/apt-listbugs::Version "2";
APT::Periodic::Update-Package-Lists "1";
APT::Periodic::Download-Upgradeable-Packages "0";
APT::Periodic::AutocleanInterval "0";
APT::Update::Post-Invoke {"touch /var/lib/apt/periodic/update-success-stamp 2>/dev/null || true";};
APT::Archives::MaxAge "30";
APT::Archives::MinAge "2";
APT::Archives::MaxSize "500";
DPkg::Pre-Install-Pkgs { "/usr/bin/apt-listchanges --apt || test $? -ne 10"; };
DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";
DPkg::Pre-Install-Pkgs {"/usr/sbin/dpkg-preconfigure --apt || true";};
DPkg::Post-Invoke {"if [ -d /var/lib/update-notifier ]; then touch /var/lib/update-notifier/dpkg-run-stamp; fi; if [ -e /var/lib/update-notifier/updates-available ]; then echo > /var/lib/update-notifier/updates-available; fi "; };

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.35-trunk-686

Debian Release: squeeze/sid
  700 testing         security.debian.org 
  700 testing         debian.iskon.hr 
  500 squeeze         www.lamaresh.net 
  400 stable          debian.iskon.hr 
  400 stable          deb.opera.com 
  300 unstable        www.debian-multimedia.org 
  300 unstable        debian.iskon.hr 
  200 experimental    debian.iskon.hr 

--- Package information. ---
Depends                     (Version) | Installed
=====================================-+-==============
python                                | 2.6.5-13
python-support            (>= 0.90.0) | 1.0.10
gconf2                  (>= 2.28.1-2) | 2.28.1-4
update-manager-core     (= 0.200.4-1) | 0.200.4-1
python-gconf                          | 2.28.1-1
python-dbus                           | 0.83.1-1
python-gtk2                           | 2.17.0-4
gksu                                  | 2.0.2-3
python-gobject            (>= 2.16.1) | 2.21.4+is.2.21.3-1
python-vte                            | 1:0.24.3-1


Package's Recommends field is empty.

Suggests                     (Version) | Installed
======================================-+-===========
update-notifier                        | 0.99.3debian6
software-properties-gtk                | 








Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Tue, 12 Oct 2010 15:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 12 Oct 2010 15:00:06 GMT) Full text and rfc822 format available.

Message #10 received at 599523@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 599523@bugs.debian.org, 599523-submitter@bugs.debian.org
Subject: Re: #599523 [update-manager-gnome] wants to downgrade packages without any notice
Date: Tue, 12 Oct 2010 16:56:30 +0200
Hi Zoran,

I fear your problem is your pinning.

> $ apt-cache policy libgl1-mesa-dri
> libgl1-mesa-dri:
>   Installed: 7.8.2-2
>   Candidate: 7.7.1-4
>   Package pin: 7.7.1-4
>   Version table:
>  *** 7.8.2-2 990
>         200 http://debian.iskon.hr/debian/ experimental/main i386 Packages
>         100 /var/lib/dpkg/status
>      7.7.1-4 990
>         700 http://debian.iskon.hr/debian/ testing/main i386 Packages
>         300 http://debian.iskon.hr/debian/ unstable/main i386 Packages
>      7.0.3-7 990
>         400 http://debian.iskon.hr/debian/ stable/main i386 Packages

Candidate is 7.7.1-4, NOT your wanted 7.8.2-2.

Can you paste the output of `apt-cache policy` and the content of
/etc/apt/preferences and /etc/apt/preferences.d/*

Regards
Evgeni Golov




Message sent on to Zoran Dzelajlija <jelly+bugs.debian.org@srk.fer.hr>:
Bug#599523. (Tue, 12 Oct 2010 15:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Thu, 21 Oct 2010 21:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zoran Dželajlija <jelly+bugs.debian.org@srk.fer.hr>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 21 Oct 2010 21:36:07 GMT) Full text and rfc822 format available.

Message #18 received at 599523@bugs.debian.org (full text, mbox):

From: Zoran Dželajlija <jelly+bugs.debian.org@srk.fer.hr>
To: Evgeni Golov <evgeni@debian.org>, 599523-quiet@bugs.debian.org
Cc: 599523@bugs.debian.org, 599523-submitter@bugs.debian.org
Subject: Re: Bug#599523: [update-manager-gnome] wants to downgrade packages without any notice
Date: Thu, 21 Oct 2010 23:25:54 +0200
[Message part 1 (text/plain, inline)]
Hi,

Quoting Evgeni Golov (evgeni@debian.org):
> Hi Zoran,
> 
> I fear your problem is your pinning.

I believe the problem is update-manager does not behave like
apt-preferences(5) says APT (or presumably any package manager) should. 
Some reasoning below.

> > $ apt-cache policy libgl1-mesa-dri
> > libgl1-mesa-dri:
> >   Installed: 7.8.2-2
> >   Candidate: 7.7.1-4
> >   Package pin: 7.7.1-4
> >   Version table:
> >  *** 7.8.2-2 990
> >         200 http://debian.iskon.hr/debian/ experimental/main i386 Packages
> >         100 /var/lib/dpkg/status
> >      7.7.1-4 990
> >         700 http://debian.iskon.hr/debian/ testing/main i386 Packages
> >         300 http://debian.iskon.hr/debian/ unstable/main i386 Packages
> >      7.0.3-7 990
> >         400 http://debian.iskon.hr/debian/ stable/main i386 Packages
> 
> Candidate is 7.7.1-4, NOT your wanted 7.8.2-2.

Indeed, but a downgrade must not be attempted at priority 700 or even 990. 
The relevant passage from apt_preferences(5) seem to be:

[cut]
If the target release has been specified then APT uses the following
algorithm to set the priorities of the versions of a package. Assign:

priority 1
  to the versions coming from archives which in their Release files are
  marked as "NotAutomatic: yes" like the debian experimental archive.

priority 100
  to the version that is already installed (if any).

priority 500
  to the versions that are not installed and do not belong to the target
  release.

priority 990
  to the versions that are not installed and belong to the target release.


APT then applies the following rules, listed in order of precedence,
to determine which version of a package to install.

- Never downgrade unless the priority of an available version exceeds 1000. 
  ("Downgrading" is installing a less recent version of a package in place
  of a more recent version.  Note that none of APT's default priorities
  exceeds 1000; such high priorities can only be set in the preferences
  file.  Note also that downgrading a package can be risky.)

- Install the highest priority version.

- If two or more versions have the same priority, install the most recent
  one (that is, the one with the higher version number).

- If two or more versions have the same priority and version number but
  either the packages differ in some of their metadata or the --reinstall
  option is given, install the uninstalled one.
[cut]

Since the newer package was explicitely installed manually, and the highest
pinned, target release package does _not_ exceed 1000, I believe a downgrade
_must not_ be attempted at all.  Both apt-get and aptitude binaries
interpret the situation in this manner and don't try to downgrade, as
opposed to update-manager.

In addition to fixing this behavior, I strongly suggest update-manager
should warn when a downgrade is attempted or proposed _even_ when the true
conditions for a downgrade are met, because the packaging policies do not
account for downgrades and things are allowed to break.  If you want, I can
clone or file a separate bug for absence of such a warning.

> Can you paste the output of `apt-cache policy` and the content of
> /etc/apt/preferences and /etc/apt/preferences.d/*

Sure, attaching outputs of "apt-cache policy" and "cat /etc/apt/preferences
/etc/apt/preferences.d/*".  My preferences probably are somewhat broken
according to "apt-cache policy libgl-mesa-dri".  They don't do what I
expected them to -- that is, make the latest libgl1-mesa-dri from either
testing, unstable or experimental the prefered candidate.  However I don't
see a way how they could enable a downgrade.

Regards,
Zoran
[apt-cache-policy.txt (text/plain, attachment)]
[prefs.txt (text/plain, attachment)]

Information stored :
Bug#599523; Package update-manager-gnome. (Thu, 21 Oct 2010 21:36:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zoran Dželajlija <jelly+bugs.debian.org@srk.fer.hr>:
Extra info received and filed, but not forwarded. (Thu, 21 Oct 2010 21:36:21 GMT) Full text and rfc822 format available.

Message sent on to Zoran Dzelajlija <jelly+bugs.debian.org@srk.fer.hr>:
Bug#599523. (Thu, 21 Oct 2010 21:36:22 GMT) Full text and rfc822 format available.

Information stored :
Bug#599523; Package update-manager-gnome. (Sun, 24 Oct 2010 10:33:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 24 Oct 2010 10:33:19 GMT) Full text and rfc822 format available.

Message #31 received at 599523-quiet@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Zoran Dželajlija <jelly+bugs.debian.org@srk.fer.hr>
Cc: 599523-quiet@bugs.debian.org
Subject: Re: Bug#599523: [update-manager-gnome] wants to downgrade packages without any notice
Date: Sun, 24 Oct 2010 12:32:45 +0200
Hi,

On 10/21/2010 11:25 PM, Zoran Dželajlija wrote:
>> Candidate is 7.7.1-4, NOT your wanted 7.8.2-2.
> 
> Indeed, but a downgrade must not be attempted at priority 700 or even 990. 
> The relevant passage from apt_preferences(5) seem to be:

I know that part of apt_preferences(5) and your assumtion sounds
correct. But! ;)
I've just installed a plain Squeeze in a VM, added experimental to the
sources and ran apt-get update && apt-get -t experimental install
libgl1-mesa-dri. The followed apt-get upgrade told me 0 packages to
upgrade (expected behaviour). But then I applied your preferences file,
and even apt-get wants to downgrade libgl1-mesa-dri now.

Even when I lower the priorities of libgl to 500 on all suites, apt
still tries to downgrade it.

> Since the newer package was explicitely installed manually, and the highest
> pinned, target release package does _not_ exceed 1000, I believe a downgrade
> _must not_ be attempted at all.  Both apt-get and aptitude binaries
> interpret the situation in this manner and don't try to downgrade, as
> opposed to update-manager.

As written above, MY apt does a downgrade, aptitude doesnt.
UpdateManager uses APT's python bindings and never does stuff itself, so
if any, this bug is to be searched in apt.
Digging through src:apt bugs, I found this one:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=543966
Exactly your behaviour (and yes, as soon I pin libgl/testing to 100, it
downgrades).
I'd say this one is a duplicate of the above, the bug is in apt, not in
UM. HOw about merging after raising the priority at apt to serious?

> Sure, attaching outputs of "apt-cache policy" and "cat /etc/apt/preferences
> /etc/apt/preferences.d/*".  My preferences probably are somewhat broken
> according to "apt-cache policy libgl-mesa-dri".  They don't do what I
> expected them to -- that is, make the latest libgl1-mesa-dri from either
> testing, unstable or experimental the prefered candidate.  However I don't
> see a way how they could enable a downgrade.

To reach that, it should be enough to have
Package: libgl1-mesa-dri
Pin: release a=experimental
Pin-Priority: 500
Then all suites would have prio 500 (If you drop your handpinning to
300,700 etc) and get always the latest package available.

Regards
Evgeni




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Tue, 28 Dec 2010 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 28 Dec 2010 19:03:06 GMT) Full text and rfc822 format available.

Message #36 received at 599523@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Zoran Dzelajlija <jelly+bugs.debian.org@srk.fer.hr>, 599523@bugs.debian.org
Subject: Re: Bug#599523: [update-manager-gnome] wants to downgrade packages without any notice
Date: Tue, 28 Dec 2010 20:01:39 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 599523 squeeze-can-defer
tag 599523 squeeze-ignore
kthxbye

On Fri, Oct  8, 2010 at 14:01:19 +0200, Zoran Dzelajlija wrote:

> Package: update-manager-gnome
> Version: 0.200.4-1
> Severity: serious
> 
> --- Please enter the report below this line. ---
> update-manager wants to downgrade a package I explicitely installed from
> experimental without any special notice.  This downgrade would break 
> functionality on my machine.  apt and aptitude don't try to do anything
> similar, nor suggest it be done.
> 
Seems to be some kind of weird apt behaviour with experimental.  I don't
consider this a blocker for squeeze, tagging as such.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 28 Dec 2010 19:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jathanblackred@gmail.com, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Wed, 23 Mar 2011 04:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jacrata <jathanblackred@gmail.com>:
Extra info received and forwarded to list. Copy sent to jathanblackred@gmail.com, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 23 Mar 2011 04:27:04 GMT) Full text and rfc822 format available.

Message #43 received at 599523@bugs.debian.org (full text, mbox):

From: jacrata <jathanblackred@gmail.com>
To: Debian Bug Tracking System <599523@bugs.debian.org>
Subject: Re:
Date: Tue, 22 Mar 2011 22:23:17 -0600
Package: update-manager-core
Version: 0.200.5-1
Severity: normal

Please type your report here.
The text will be wrapped to be max 79 chars long per line.



-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=es_MX.utf8, LC_CTYPE=es_MX.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages update-manager-core depends on:
ii  lsb-release             3.2-23.2squeeze1 Linux Standard Base version report
ii  python                  2.6.6-3+squeeze5 interactive high-level object-orie
ii  python-apt              0.7.100.1        Python interface to libapt-pkg
ii  python-support          1.0.10           automated rebuilding support for P

Versions of packages update-manager-core recommends:
ii  update-manager-gnome          0.200.5-1  GNOME application that manages sof

update-manager-core suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Sat, 16 Jun 2012 17:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arne Wichmann <aw@anhrefn.saar.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 17:00:06 GMT) Full text and rfc822 format available.

Message #48 received at 599523@bugs.debian.org (full text, mbox):

From: Arne Wichmann <aw@anhrefn.saar.de>
To: 599523@bugs.debian.org
Subject: Ping - unexpected downgrades
Date: Sat, 16 Jun 2012 18:50:35 +0200
[Message part 1 (text/plain, inline)]
Is there any progress on this serious bug? It is now unhandled for more
than one year.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@linux.de)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Sat, 16 Jun 2012 17:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 17:27:06 GMT) Full text and rfc822 format available.

Message #53 received at 599523@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Arne Wichmann <aw@anhrefn.saar.de>, 599523@bugs.debian.org
Subject: Re: Bug#599523: Ping - unexpected downgrades
Date: Sat, 16 Jun 2012 19:23:14 +0200
[Message part 1 (text/plain, inline)]
On 16.06.2012 18:50, Arne Wichmann wrote:
> Is there any progress on this serious bug? It is now unhandled for more
> than one year.

update-manager is basically unmaintained atm.




-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Sun, 28 Oct 2012 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 28 Oct 2012 11:57:03 GMT) Full text and rfc822 format available.

Message #58 received at 599523@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 599523@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, Arne Wichmann <aw@anhrefn.saar.de>
Subject: Re: Bug#599523: Ping - unexpected downgrades
Date: Sun, 28 Oct 2012 12:52:57 +0100
Hi,

Michael Biebl wrote:
> On 16.06.2012 18:50, Arne Wichmann wrote:
> > Is there any progress on this serious bug? It is now unhandled for more
> > than one year.
> 
> update-manager is basically unmaintained atm.

So what about RFA'ing update-manager then at least?

Ignoring the epoch, Ubuntu has only lower versions than Squeeze in any
of their releases, even in raring (1:0.174.3 in quantal and raring vs
0.200.5-1 in squeeze and 0.200.5-2 in wheezy). See [1] and [2].

  [1] http://packages.ubuntu.com/search?keywords=update-manager
  [2] http://packages.qa.debian.org/u/update-manager.html

So Ubuntu explicitly prefers an older version than Debian for years
now despite its a dependency of (at least) ubuntu-desktop. This looks
quite uncommon and suspicious.

(Or is that even a completely different package but with the same name
in Ubuntu and Debian?)

So maybe orphaning or even removal from testing is the better solution
than just RFA'ing the package.

It only seems to have one hard reverse dependency (and a few Suggests
and one second-level Recommends) in Testing currently, i.e. removing
it from testing and hence wheezy shouldn't be too complicated with
regards to reverse dependencies:

  update-notifier depends on update-manager-gnome

But OTOH 26% popcon installations and 10% votes rather oppose a
removal quite strongly.

I hence recommend to at least issue an RFA for update-manager.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Sun, 28 Oct 2012 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 28 Oct 2012 17:00:03 GMT) Full text and rfc822 format available.

Message #63 received at 599523@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Axel Beckert <abe@debian.org>, Julian Andres Klode <jak@debian.org>
Cc: 599523@bugs.debian.org, Arne Wichmann <aw@anhrefn.saar.de>
Subject: Re: Bug#599523: Ping - unexpected downgrades
Date: Sun, 28 Oct 2012 17:58:02 +0100
[Message part 1 (text/plain, inline)]
On 28.10.2012 12:52, Axel Beckert wrote:
> Hi,
> 
> Michael Biebl wrote:
>> On 16.06.2012 18:50, Arne Wichmann wrote:
>>> Is there any progress on this serious bug? It is now unhandled for more
>>> than one year.
>>
>> update-manager is basically unmaintained atm.
> 
> So what about RFA'ing update-manager then at least?
> 
> Ignoring the epoch, Ubuntu has only lower versions than Squeeze in any
> of their releases, even in raring (1:0.174.3 in quantal and raring vs
> 0.200.5-1 in squeeze and 0.200.5-2 in wheezy). See [1] and [2].
> 
>   [1] http://packages.ubuntu.com/search?keywords=update-manager
>   [2] http://packages.qa.debian.org/u/update-manager.html
> 
> So Ubuntu explicitly prefers an older version than Debian for years
> now despite its a dependency of (at least) ubuntu-desktop. This looks
> quite uncommon and suspicious.
> 
> (Or is that even a completely different package but with the same name
> in Ubuntu and Debian?)
> 
> So maybe orphaning or even removal from testing is the better solution
> than just RFA'ing the package.
> 
> It only seems to have one hard reverse dependency (and a few Suggests
> and one second-level Recommends) in Testing currently, i.e. removing
> it from testing and hence wheezy shouldn't be too complicated with
> regards to reverse dependencies:
> 
>   update-notifier depends on update-manager-gnome
> 
> But OTOH 26% popcon installations and 10% votes rather oppose a
> removal quite strongly.
> 
> I hence recommend to at least issue an RFA for update-manager.

Not really my call.
I'll let Julian comment on this.

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Sun, 28 Oct 2012 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 28 Oct 2012 19:33:06 GMT) Full text and rfc822 format available.

Message #68 received at 599523@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: Axel Beckert <abe@debian.org>, 599523@bugs.debian.org, Arne Wichmann <aw@anhrefn.saar.de>
Subject: Re: Bug#599523: Ping - unexpected downgrades
Date: Sun, 28 Oct 2012 20:28:18 +0100
[Message part 1 (text/plain, inline)]
(replying to Axel)

On Sun, Oct 28, 2012 at 05:58:02PM +0100, Michael Biebl wrote:
> On 28.10.2012 12:52, Axel Beckert wrote:
> > Hi,
> > 
> > Michael Biebl wrote:
> >> On 16.06.2012 18:50, Arne Wichmann wrote:
> >>> Is there any progress on this serious bug? It is now unhandled for more
> >>> than one year.
> >>
> >> update-manager is basically unmaintained atm.
> > 
> > So what about RFA'ing update-manager then at least?
> > 
> > Ignoring the epoch, Ubuntu has only lower versions than Squeeze in any
> > of their releases, even in raring (1:0.174.3 in quantal and raring vs
> > 0.200.5-1 in squeeze and 0.200.5-2 in wheezy). See [1] and [2].
> > 
> >   [1] http://packages.ubuntu.com/search?keywords=update-manager
> >   [2] http://packages.qa.debian.org/u/update-manager.html
> > 
> > So Ubuntu explicitly prefers an older version than Debian for years
> > now despite its a dependency of (at least) ubuntu-desktop. This looks
> > quite uncommon and suspicious.
> > 
> > (Or is that even a completely different package but with the same name
> > in Ubuntu and Debian?)

It was more or less common code, and it was then modularized and cleaned up
during GSoC to be directly useable in both distributions. The changes were
uploaded to Debian. Ubuntu, relying more heavily on update-manager, never
merged in those changes, and continued the old code base.


> > 
> > So maybe orphaning or even removal from testing is the better solution
> > than just RFA'ing the package.
> > 
> > It only seems to have one hard reverse dependency (and a few Suggests
> > and one second-level Recommends) in Testing currently, i.e. removing
> > it from testing and hence wheezy shouldn't be too complicated with
> > regards to reverse dependencies:
> > 
> >   update-notifier depends on update-manager-gnome
> > 
> > But OTOH 26% popcon installations and 10% votes rather oppose a
> > removal quite strongly.

It was part of the default installation together with other stuff
from Ubuntu, but we now use (GNOME) PackageKit instead.

> > 
> > I hence recommend to at least issue an RFA for update-manager.

We can
 (a) upload a compat package which switches the user to PackageKit
     and includes a script to call gnome-packagekit's update manager. 

 (b) upload a new update-notifier package that moves the user to
     GNOME PackageKit, and remove update-manager from the archive
     (or at least testing).

 (c) upload a new update-notifier package that simply removes the 
     dependency, and disables the actions.

I think that (a) or (b) are good options. For (b), we still need
to keep update-notifier-common as update-notifier-kde still uses
those parts.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Mon, 29 Oct 2012 10:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 29 Oct 2012 10:45:06 GMT) Full text and rfc822 format available.

Message #73 received at 599523@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Julian Andres Klode <jak@debian.org>
Cc: 599523@bugs.debian.org, Arne Wichmann <aw@anhrefn.saar.de>
Subject: Re: Bug#599523: Ping - unexpected downgrades
Date: Mon, 29 Oct 2012 11:43:06 +0100
Hi Julian,

Julian Andres Klode wrote:
> (replying to Axel)

Thanks for the reply. It helps a lot to understand what's going on and
why the version numbers look so uncommon.

> It was more or less common code, and it was then modularized and cleaned up
> during GSoC to be directly useable in both distributions. The changes were
> uploaded to Debian. Ubuntu, relying more heavily on update-manager, never
> merged in those changes, and continued the old code base.

:-(

> > > So maybe orphaning or even removal from testing is the better solution
> > > than just RFA'ing the package.
> > > 
> > > It only seems to have one hard reverse dependency (and a few Suggests
> > > and one second-level Recommends) in Testing currently, i.e. removing
> > > it from testing and hence wheezy shouldn't be too complicated with
> > > regards to reverse dependencies:
> > > 
> > >   update-notifier depends on update-manager-gnome
> > > 
> > > But OTOH 26% popcon installations and 10% votes rather oppose a
> > > removal quite strongly.
> 
> It was part of the default installation together with other stuff
> from Ubuntu, but we now use (GNOME) PackageKit instead.

Oh, ok.

> We can
>  (a) upload a compat package which switches the user to PackageKit
>      and includes a script to call gnome-packagekit's update manager. 
> 
>  (b) upload a new update-notifier package that moves the user to
>      GNOME PackageKit, and remove update-manager from the archive
>      (or at least testing).
> 
>  (c) upload a new update-notifier package that simply removes the 
>      dependency, and disables the actions.
> 
> I think that (a) or (b) are good options.

On a first glance my (very personal) preference is (c) because
update-notifier is the only reason why I have update-manager installed
at all. If it would start pulling in PackageKit, I'll very likely
remove update-notifier from my system.

But I do see that pulling in GNOME PackageKit does make sense, so
after some thinking my favourite option would be (b) with just
Recommends to GNOME PackageKit and disabled or reduced actions if the
Recommends is not fulfilled.

Nevertheless, I'd say that all these three options are rather relevant
for Jessie than for Wheezy.

With regards to this bug (#599523), I guess it's not trivial to fix,
otherwise it would have been fixed already earlier. So if
update-manager won't be included in Jessie anyway, this bug possibly
may be a candidate for the wheezy-ignore tag -- it already
has the squeeze-ignore tag because it doesn't seem to occur in pure
stable environments.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Added tag(s) wheezy-ignore. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 19 Jan 2013 12:30:03 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 11 May 2013 10:14:40 GMT) Full text and rfc822 format available.

Notification sent to Zoran Dzelajlija <jelly+bugs.debian.org@srk.fer.hr>:
Bug acknowledged by developer. (Sat, 11 May 2013 10:14:40 GMT) Full text and rfc822 format available.

Message #80 received at 599523-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 352683-done@bugs.debian.org,391965-done@bugs.debian.org,404811-done@bugs.debian.org,411889-done@bugs.debian.org,417900-done@bugs.debian.org,421960-done@bugs.debian.org,431330-done@bugs.debian.org,437121-done@bugs.debian.org,439189-done@bugs.debian.org,442478-done@bugs.debian.org,446241-done@bugs.debian.org,454585-done@bugs.debian.org,462188-done@bugs.debian.org,465996-done@bugs.debian.org,471948-done@bugs.debian.org,493655-done@bugs.debian.org,499006-done@bugs.debian.org,506843-done@bugs.debian.org,518171-done@bugs.debian.org,521832-done@bugs.debian.org,523412-done@bugs.debian.org,523634-done@bugs.debian.org,524600-done@bugs.debian.org,524932-done@bugs.debian.org,546837-done@bugs.debian.org,547324-done@bugs.debian.org,547900-done@bugs.debian.org,549690-done@bugs.debian.org,550904-done@bugs.debian.org,551464-done@bugs.debian.org,551799-done@bugs.debian.org,552247-done@bugs.debian.org,553598-done@bugs.debian.org,553691-done@bugs.debian.org,554782-done@bugs.debian.org,558341-done@bugs.debian.org,559140-done@bugs.debian.org,559530-done@bugs.debian.org,561169-done@bugs.debian.org,562233-done@bugs.debian.org,562735-done@bugs.debian.org,562798-done@bugs.debian.org,562879-done@bugs.debian.org,563173-done@bugs.debian.org,563179-done@bugs.debian.org,563201-done@bugs.debian.org,563284-done@bugs.debian.org,563364-done@bugs.debian.org,563393-done@bugs.debian.org,563548-done@bugs.debian.org,563603-done@bugs.debian.org,563846-done@bugs.debian.org,565462-done@bugs.debian.org,565967-done@bugs.debian.org,569339-done@bugs.debian.org,569340-done@bugs.debian.org,570750-done@bugs.debian.org,572050-done@bugs.debian.org,574039-done@bugs.debian.org,574140-done@bugs.debian.org,574143-done@bugs.debian.org,574925-done@bugs.debian.org,575558-done@bugs.debian.org,576220-done@bugs.debian.org,578495-done@bugs.debian.org,579552-done@bugs.debian.org,579789-done@bugs.debian.org,581263-done@bugs.debian.org,585595-done@bugs.debian.org,587165-done@bugs.debian.org,588159-done@bugs.debian.org,588354-done@bugs.debian.org,588650-done@bugs.debian.org,590800-done@bugs.debian.org,597397-done@bugs.debian.org,598025-done@bugs.debian.org,598495-done@bugs.debian.org,598994-done@bugs.debian.org,599055-done@bugs.debian.org,599270-done@bugs.debian.org,599523-done@bugs.debian.org,599525-done@bugs.debian.org,599797-done@bugs.debian.org,600077-done@bugs.debian.org,600793-done@bugs.debian.org,601458-done@bugs.debian.org,601461-done@bugs.debian.org,602359-done@bugs.debian.org,602448-done@bugs.debian.org,602909-done@bugs.debian.org,603483-done@bugs.debian.org,604772-done@bugs.debian.org,605297-done@bugs.debian.org,605655-done@bugs.debian.org,606392-done@bugs.debian.org,606625-done@bugs.debian.org,606626-done@bugs.debian.org,606627-done@bugs.debian.org,606628-done@bugs.debian.org,606729-done@bugs.debian.org,607105-done@bugs.debian.org,610415-done@bugs.debian.org,611957-done@bugs.debian.org,613394-done@bugs.debian.org,613945-done@bugs.debian.org,615544-done@bugs.debian.org,617389-done@bugs.debian.org,618117-done@bugs.debian.org,618265-done@bugs.debian.org,619295-done@bugs.debian.org,619578-done@bugs.debian.org,621821-done@bugs.debian.org,622701-done@bugs.debian.org,622886-done@bugs.debian.org,623507-done@bugs.debian.org,624241-done@bugs.debian.org,625958-done@bugs.debian.org,627034-done@bugs.debian.org,629007-done@bugs.debian.org,630550-done@bugs.debian.org,632195-done@bugs.debian.org,632579-done@bugs.debian.org,635245-done@bugs.debian.org,637612-done@bugs.debian.org,637663-done@bugs.debian.org,637851-done@bugs.debian.org,639953-done@bugs.debian.org,640503-done@bugs.debian.org,641582-done@bugs.debian.org,644387-done@bugs.debian.org,644775-done@bugs.debian.org,645955-done@bugs.debian.org,646242-done@bugs.debian.org,646677-done@bugs.debian.org,650182-done@bugs.debian.org,650604-done@bugs.debian.org,650841-done@bugs.debian.org,652118-done@bugs.debian.org,652543-done@bugs.debian.org,652959-done@bugs.debian.org,653180-done@bugs.debian.org,656176-done@bugs.debian.org,656715-done@bugs.debian.org,662859-done@bugs.debian.org,663708-done@bugs.debian.org,664542-done@bugs.debian.org,665733-done@bugs.debian.org,665878-done@bugs.debian.org,667717-done@bugs.debian.org,667976-done@bugs.debian.org,671001-done@bugs.debian.org,671137-done@bugs.debian.org,671263-done@bugs.debian.org,671266-done@bugs.debian.org,671267-done@bugs.debian.org,671468-done@bugs.debian.org,671781-done@bugs.debian.org,672294-done@bugs.debian.org,672355-done@bugs.debian.org,673303-done@bugs.debian.org,674013-done@bugs.debian.org,675900-done@bugs.debian.org,676283-done@bugs.debian.org,677621-done@bugs.debian.org,679957-done@bugs.debian.org,680000-done@bugs.debian.org,681857-done@bugs.debian.org,683478-done@bugs.debian.org,683572-done@bugs.debian.org,684648-done@bugs.debian.org,685379-done@bugs.debian.org,686309-done@bugs.debian.org,686724-done@bugs.debian.org,687560-done@bugs.debian.org,690111-done@bugs.debian.org,691016-done@bugs.debian.org,691159-done@bugs.debian.org,693390-done@bugs.debian.org,694665-done@bugs.debian.org,695010-done@bugs.debian.org,695960-done@bugs.debian.org,697561-done@bugs.debian.org,697935-done@bugs.debian.org,698043-done@bugs.debian.org,700942-done@bugs.debian.org,701542-done@bugs.debian.org,702118-done@bugs.debian.org,702655-done@bugs.debian.org,702732-done@bugs.debian.org,703697-done@bugs.debian.org,703727-done@bugs.debian.org,704137-done@bugs.debian.org,704195-done@bugs.debian.org,704952-done@bugs.debian.org,705271-done@bugs.debian.org,706754-done@bugs.debian.org,
Cc: update-manager@packages.debian.org, update-manager@packages.qa.debian.org
Subject: Bug#707696: Removed package(s) from unstable
Date: Sat, 11 May 2013 10:05:12 +0000
Version: 0.200.5-2.1+rm

Dear submitter,

as the package update-manager has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/707696

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#599523; Package update-manager-gnome. (Sun, 16 Jun 2013 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisabeth Schoier <trudyagasup@fromru.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 16 Jun 2013 00:27:04 GMT) Full text and rfc822 format available.

Message #85 received at 599523@bugs.debian.org (full text, mbox):

From: Lisabeth Schoier <lisabethbcm922@yahoo.com>
To: 599523@bugs.debian.org
Subject: hi
Date: Sat, 15 Jun 2013 17:25:10 -0700 (PDT)
Heya! I'm being for boyfriend!



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:56:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.